@echo off
REM Build the Code Browser packages
REM
REM  Required variables:
REM    TEMP       - The temporary directory
REM    RELEASEDIR - The directory to store build
REM
REM  Required tools
REM    CMake	- to use some commands that work everywhere (-E remove_directory, ...)
REM    zip
REM    GNU Make
REM    NSIS
REM    windres
REM    golink

set VERSION=8.0

set SRCDIR=.
set DESTDIR=%TEMP%\code-browser-%VERSION%

REM ===========
REM Build win32
REM ===========
cmake -E remove_directory %DESTDIR%
md %DESTDIR%
md %DESTDIR%\tmp
md "%DESTDIR%\Code Browser"

gmake -s -f Makefile.windows OUTDIR=%DESTDIR%\tmp with-local-libs

copy %DESTDIR%\tmp\cb.exe "%DESTDIR%\Code Browser"
copy %SRCDIR%\COPYING.txt "%DESTDIR%\Code Browser"
copy %SRCDIR%\README.txt "%DESTDIR%\Code Browser"
copy %SRCDIR%\session.cbc "%DESTDIR%\Code Browser"
xcopy /e /q /i %SRCDIR%\examples "%DESTDIR%\Code Browser\examples"
xcopy /e /q /i %SRCDIR%\docs "%DESTDIR%\Code Browser\docs"
xcopy /e /q /i %SRCDIR%\config "%DESTDIR%\Code Browser\config"
xcopy /e /q /i %SRCDIR%\config-optional "%DESTDIR%\Code Browser\config-optional"

pushd %DESTDIR%
zip -9 -r -q "%DESTDIR%\code-browser-%VERSION%-win32.zip" "Code Browser"
popd

REM ================
REM Create installer
REM ================
copy %SRCDIR%\scripts\build-installer.nsi %DESTDIR%
pushd "%DESTDIR%\Code Browser"
makensis /DVERSION=%VERSION% /DRELEASEDIR=%DESTDIR% /NOCD ..\build-installer.nsi
popd
